/*
 * Copyright 2022 Netflix, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.netflix.graphql.dgs.mvc

import org.springframework.http.HttpHeaders
import org.springframework.http.MediaType

@SuppressWarnings("unused")
object GraphQLMediaTypes {
    val GRAPHQL_MEDIA_TYPE = MediaType("application", "graphql")
    const val GRAPHQL_MEDIA_TYPE_VALUE = "application/graphql"

    fun includesApplicationGraphQL(headers: HttpHeaders): Boolean {
        return GRAPHQL_MEDIA_TYPE.includes(headers.contentType)
    }
}
